﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Transactions report
            </h1>

        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>

    <div class="row place-left one-half">
        <label>Transactions start date</label>
        <div class="span4" data-role="input-control">
            <div class="input-control date-time span4" data-role="input-control">
                <div data-format="mm/dd/yyyy" data-effect="fade">
                    <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.Filters.RegistrationStart" placeholder="mm/dd/yyyy" />
                </div>
            </div>
        </div>
    </div>
    <div class="row place-left one-half padding-right20">
        <label>Member</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select chosen ng-model="memberId"
                        placeholder="Select member"
                        ng-options="obj.Value as obj.Text for obj in AllMembers"></select>
            </div>
        </div>
    </div>

    <div class="row place-left one-half" data-format="mm/dd/yyyy" data-effect="fade">
        <label>Transactions end date</label>
        <div class="input-control date-time span4" data-role="input-control">
            <div>
                <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.Filters.RegistrationEnd" placeholder="mm/dd/yyyy" />
            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label>Payment method</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">

                <select ng-model="Model.Filters.TransactionFilters.PaymentMethod"
                        ng-options="temp.Value as temp.Text for temp in Model.Filters.TransactionFilters.PaymentMethods"></select>

            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label>Group by</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input-control">
                <select ng-model="Model.Filters.TransactionFilters.IsGroupBy" ng-options="temp.Value as temp.Text for temp in Model.Filters.TransactionFilters.GroupBy"></select>
            </div>
        </div>
    </div>

    <br />
    <button class="success place-right large button" ng-click="runReport()" id="ConfirmInvoice">Run</button>
    <div class="clearfix"></div>
    <hr />
    @*<br />
        <input class="default button place-right" type="submit" value="Clear filter(s)" ng-click="clearFilters()">
        <div class="clearfix"></div>*@
    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;" ng-show="showGrid">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="TransactionReportGrid" options="TransactionReportGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>

</div>
